Bug 1623563 - unable to generate chargeback based on metering for vms with traceback in logs
Summary: unable to generate chargeback based on metering for vms with traceback in logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.9.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.9.5
Assignee: Libor Pichler
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On: 1595696
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-29 15:52 UTC by Satoe Imaishi
Modified: 2018-11-05 13:59 UTC (History)
6 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1595696
Environment:
Last Closed: 2018-11-05 13:58:45 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:59:16 UTC
Red Hat Bugzilla 1583215 None NEW [RFE] Ability for Chargeback Reports to charge Allocated Resources for Time used 2018-10-19 06:36:17 UTC

Comment 2 CFME Bot 2018-09-11 20:21:45 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/4736700ea8631092803ee622bdecda64790eb11d
commit 4736700ea8631092803ee622bdecda64790eb11d
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Tue Aug 14 11:28:57 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Tue Aug 14 11:28:57 2018 -0400

    Merge pull request #17836 from lpichler/fix_metering_report_without_rolups

    Fix metering report for resources without rollups
    (cherry picked from commit b57f2673f5d928c07f4fe0fe0e8603bb72e98dff)

    https://bugzilla.redhat.com/show_bug.cgi?id=1623563

 app/models/chargeback/consumption_without_rollups.rb | 1 +
 spec/models/metering_vm_spec.rb | 43 +
 2 files changed, 44 insertions(+)

Comment 3 Tasos Papaioannou 2018-10-04 19:10:48 UTC
Verified on 5.9.5.0.

Comment 5 errata-xmlrpc 2018-11-05 13:58:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.